Pages Navigation Menu

Coding is much easier than you think

Cannot complete the install because one or more required items could not be found. Android Error

Cannot complete the install because one or more required items could not be found. Android Error

 

This error is because of many reasons. Mainly you will get this error while trying to install adt plugin. Here u go possible solutions .

1.  Help -> Install New Software. Click on Available software sites. Delete the Android repo. Uncheck Indigo & Eclipse updates & recheck them. Now head back to Help -> Check for updates. Once done, add the Android repo again. Accept the license & you should be good to go.

 
** UPDATE: Android Complete tutorial now available here.
 
2.

  • Run Eclipse as Administrator
  • Follow the Troubleshooting in the official site
  • In the “Available Software Sites” in preferances of Eclipse make sure the Galileo is checked and all other relavent sites
  • Make sure you are running on Eclipse IDE for Java EE Developers and not Classic

3.

4. Followed the instructions on During installation, there’s an error about requiring org.eclipse.wst.sse.ui. How do I fix that? and installed Google Plugin for Eclipse Galileo, then the installation of Android ADT Plugin worked without any problem.

5. org.eclipse.wst.xml.core 0.0.0 issue by taking the following steps:

  • Go to help
  • Install New Software: Add Name: Indigo Location: “http://download.eclipse.org/releases/indigo
  • Select ‘WST Server Adapters‘ under ‘Web, XML, Java,...” (last name in list)
  • Accept licensing agreement
  • Restart Eclipse
  • Resume procedure to install ADT

 

About Gokul


I am very much interested in android and Wicket framework. A core android developer and working in android native app development and responsive web mobile design. I have also worked in wicket fame work and java web development. I will keep on updating you about android and wicket framework and answer your query.